classdef ellipse < graphics.shapes.shape2D
    %ELLIPSE Defines a graphics ellipse. Behaviour is in SHAPE2D and SHAPE.
    
    methods
        
        function make_shape(self)
            % outer
            rectangle(...
                'Parent', self.Transform, ...
                'FaceColor', [0.35 0.2 0.2], ...
                'Curvature', [1 1]);
            % inner
            rectangle(...
                'Parent', self.Transform, ...
                'FaceColor', [0.5 0.3 0.3], ...
                'Curvature', [1 1]);
            self.update_bounds(300, 200, 5);
        end
                        
    end
      
end

% Copyright (c) Greg Phillips, 2010
% 8 November 2010
%
% This file is part of MATLAB-GRAPHICS.
% 
% MATLAB-GRAPHICS is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% MATLAB-GRAPHICS is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with MATLAB-GRAPHICS.  If not, see <http://www.gnu.org/licenses/>.
